import { BreadcrumbType } from './BreadcrumbTypes';
type BreadcrumbArgs = {
    breadcrumb: BreadcrumbType;
    breadcrumbs: BreadcrumbType[];
};
declare const addNewBreadcrumb: ({ breadcrumb, breadcrumbs }: BreadcrumbArgs) => BreadcrumbType[];
declare const breadcrumbIndex: ({ breadcrumb, breadcrumbs }: BreadcrumbArgs) => number;
declare const breadcrumbNavigation: ({ breadcrumb, breadcrumbs }: BreadcrumbArgs) => BreadcrumbType[];
type navigateBackArgs = {
    breadcrumbs: BreadcrumbType[];
    callout: (breadcrumb: BreadcrumbType) => void;
};
declare const breadcrumbBackButtonCallout: ({ breadcrumbs, callout, }: navigateBackArgs) => () => void;
export { addNewBreadcrumb, breadcrumbIndex, breadcrumbNavigation, breadcrumbBackButtonCallout, };
